caca_process(3caca)

NAME
caca_process - libcaca process management

SYNOPSIS

  Modules

libcaca DOS conio.h compatibility layer

  Data Structures

struct caca_conio_text_info
DOS text area information.

  Enumerations

enum CACA_CONIO_COLORS { CACA_CONIO_BLINK = 128, CACA_CONIO_BLACK = 0, CACA_CONIO_BLUE = 1, CACA_CONIO_GREEN = 2, CACA_CONIO_CYAN = 3, CACA_CONIO_RED = 4, CACA_CONIO_MAGENTA = 5, CACA_CONIO_BROWN = 6, CACA_CONIO_LIGHTGRAY = 7, CACA_CONIO_DARKGRAY = 8, CACA_CONIO_LIGHTBLUE = 9, CACA_CONIO_LIGHTGREEN = 10, CACA_CONIO_LIGHTCYAN = 11, CACA_CONIO_LIGHTRED = 12, CACA_CONIO_LIGHTMAGENTA = 13, CACA_CONIO_YELLOW = 14, CACA_CONIO_WHITE = 15 }
DOS colours.
enum CACA_CONIO_CURSOR { CACA_CONIO__NOCURSOR = 0, CACA_CONIO__SOLIDCURSOR = 1, CACA_CONIO__NORMALCURSOR = 2 }
DOS cursor modes.
enum CACA_CONIO_MODE { CACA_CONIO_LASTMODE = -1, CACA_CONIO_BW40 = 0, CACA_CONIO_C40 = 1, CACA_CONIO_BW80 = 2, CACA_CONIO_C80 = 3, CACA_CONIO_MONO = 7, CACA_CONIO_C4350 = 64 }
DOS video modes.

  Functions

__extern int caca_getopt (int, char *const[], char const *, struct caca_option const *, int *)

  Variables

__extern int caca_optind
__extern char * caca_optarg
__extern int caca_conio_directvideo
DOS direct video control.
__extern int caca_conio__wscroll
DOS scrolling control.

Detailed Description

These functions help with various process handling tasks such as option parsing, DLL injection.

Enumeration Type Documentation

  enum CACA_CONIO_COLORS
This enum lists the colour values for the DOS conio.h compatibility layer.

  enum CACA_CONIO_CURSOR
This enum lists the cursor mode values for the DOS conio.h compatibility layer.

  enum CACA_CONIO_MODE
This enum lists the video mode values for the DOS conio.h compatibility layer.

Author

Generated automatically by Doxygen for libcaca from the source code.